com.smartgwt.client.bean

## Class BeanFactoryForBaseClass<BeanClass extends BaseClass>

- java.lang.Object
- - com.smartgwt.client.bean.BeanFactory<BeanClass>
  - - com.smartgwt.client.bean.BeanFactoryForBaseClass<BeanClass>

-     public abstract class BeanFactoryForBaseClass<BeanClass extends BaseClass>
      extends BeanFactory<BeanClass>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanFactory

      `BeanFactory.AnnotationMetaFactory, BeanFactory.CanvasMetaFactory, BeanFactory.FormItemMetaFactory, BeanFactory.FrameworkClass, BeanFactory.Generate, BeanFactory.MetaFactory, BeanFactory.ScClassName`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.bean.BeanFactory

      `properties, sgwtFactory, superclassFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanFactoryForBaseClass()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `applyFactoryProperties(BeanClass bean)`
    `com.google.gwt.core.client.JavaScriptObject` | `doGetOrCreateJsObj(java.lang.Object bean)`
    `void` | `doSetJsObj(java.lang.Object bean, com.google.gwt.core.client.JavaScriptObject jsObj)`
    `protected java.lang.Object` | `getJavascriptProperty(BeanClass bean, java.lang.String property)`
    `boolean` | `isFactoryCreated(BeanClass bean)`
    `protected void` | `setJavascriptProperty(BeanClass bean, java.lang.String propertyName, java.lang.Object value)`
    `protected void` | `setNativeAttribute(com.google.gwt.core.client.JavaScriptObject config, java.lang.String propertyName, java.lang.Object value)`
    `protected void` | `setNativeProperty(BeanClass bean, java.lang.String propertyName, java.lang.Object value)`

    - ### Methods inherited from class com.smartgwt.client.bean.BeanFactory

      `clearFactoryProperties, createSuperclassFactory, doGetProperty, doGetPropertyAsString, doNewInstance, doSetProperties, doSetProperty, getAttributes, getAttributes, getAttributes, getBeanClass, getBeanClassName, getDefaultScClassName, getDefaultScClassName, getFactory, getFactory, getFactory, getFactoryProperties, getFactoryPropertiesClass, getMethods, getOrCreateJsObj, getProperties, getProperty, getPropertyAsString, getSGWTModule, getSuperclass, isFrameworkClass, isFrameworkClass, newInstance, newInstance, newInstance, newInstance, newInstance, newInstance, newInstance, newInstance, newInstance, noFactoryException, noFactoryException, registerClassNameWithSGWTFactory, registerFactory, registerValueTypes, setJsObj, setProperties, setProperty, triggerStaticInitializers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanFactoryForBaseClass

          public BeanFactoryForBaseClass()

  - ### Method Detail

    - #### setJavascriptProperty

          protected void setJavascriptProperty(BeanClass bean,
                                   java.lang.String propertyName,
                                   java.lang.Object value)

      Specified by:
        `setJavascriptProperty` in class `BeanFactory<BeanClass extends BaseClass>`

    - #### setNativeProperty

          protected void setNativeProperty(BeanClass bean,
                               java.lang.String propertyName,
                               java.lang.Object value)

    - #### setNativeAttribute

          protected void setNativeAttribute(com.google.gwt.core.client.JavaScriptObject config,
                                java.lang.String propertyName,
                                java.lang.Object value)

    - #### getJavascriptProperty

          protected java.lang.Object getJavascriptProperty(BeanClass bean,
                                               java.lang.String property)

      Specified by:
        `getJavascriptProperty` in class `BeanFactory<BeanClass extends BaseClass>`

    - #### doGetOrCreateJsObj

          public com.google.gwt.core.client.JavaScriptObject doGetOrCreateJsObj(java.lang.Object bean)

      Specified by:
        `doGetOrCreateJsObj` in class `BeanFactory<BeanClass extends BaseClass>`

    - #### doSetJsObj

          public void doSetJsObj(java.lang.Object bean,
                        com.google.gwt.core.client.JavaScriptObject jsObj)

      Specified by:
        `doSetJsObj` in class `BeanFactory<BeanClass extends BaseClass>`

    - #### isFactoryCreated

          public boolean isFactoryCreated(BeanClass bean)

      Specified by:
        `isFactoryCreated` in class `BeanFactory<BeanClass extends BaseClass>`

    - #### applyFactoryProperties

          protected void applyFactoryProperties(BeanClass bean)

      Specified by:
        `applyFactoryProperties` in class `BeanFactory<BeanClass extends BaseClass>`